Bug 27486 - Rename system preference delimiter to CSVDelimiter
Summary: Rename system preference delimiter to CSVDelimiter
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Mazen Khallaf
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 10327
  Show dependency treegraph
 
Reported: 2021-01-20 03:11 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27486: Rename system preference delimiter to CSVDelimiter (19.22 KB, patch)
2021-01-21 01:50 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27486: Rename system preference delimiter to CSVDelimiter (18.70 KB, patch)
2021-01-21 20:26 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27486: Rename system preference delimiter to CSVDelimiter (18.77 KB, patch)
2021-01-25 11:25 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27486: Rename system preference delimiter to CSVDelimiter (18.82 KB, patch)
2021-01-28 22:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27486: (QA follow-up) Fix occurence in aqplan.pl (928 bytes, patch)
2021-01-28 22:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27486: Replace one missing occurrence (669 bytes, patch)
2021-01-29 07:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27486: Fix UsageStats.t (740 bytes, patch)
2021-02-01 09:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 03:11:29 UTC
find all of the places in the code that refer to the 'delimiter' system preference and rename them to 'CSVDelimiter'
write an atomic update to rename the delimiter system preference to CSVDelimiter in the preferences table in the database
rename the delimiter syspref in sysprefs.sql

refer to bug 10328 for an example
Comment 1 Mazen Khallaf 2021-01-21 01:50:13 UTC
Created attachment 115485 [details] [review]
Bug 27486: Rename system preference delimiter to CSVDelimiter

Test Plan:

1. Go to Administration
2. Go to System Preferences
3. Find 'delimiter' (note the name)
4. Apply patch
5. Repeat step 1 and 2
6. Find 'CSVDelimiter' (note the name)
Comment 2 Owen Leonard 2021-01-21 13:08:10 UTC
This works well and the test passes, but the QA tool raises this warning:

 FAIL	koha-tmpl/intranet-tmpl/prog/en/includes/csv_headers/acqui/.basketgroup.tt.swp
   FAIL	  invalid file
		This file must not be added to the codebase
Comment 3 Mazen Khallaf 2021-01-21 20:26:54 UTC
Created attachment 115618 [details] [review]
Bug 27486: Rename system preference delimiter to CSVDelimiter

Test Plan:

1. Go to Administration
2. Go to System Preferences
3. Find 'delimiter' (note the name)
4. Apply patch
5. Repeat step 1 and 2
6. Find 'CSVDelimiter' (note the name)
Comment 4 PTFS Europe Sandboxes 2021-01-25 11:25:20 UTC
Created attachment 115742 [details] [review]
Bug 27486: Rename system preference delimiter to CSVDelimiter

Test Plan:

1. Go to Administration
2. Go to System Preferences
3. Find 'delimiter' (note the name)
4. Apply patch
5. Repeat step 1 and 2
6. Find 'CSVDelimiter' (note the name)

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 5 Sally 2021-01-25 11:25:47 UTC
Works as described.
Comment 6 Katrin Fischer 2021-01-28 22:14:34 UTC
Created attachment 115996 [details] [review]
Bug 27486: Rename system preference delimiter to CSVDelimiter

Test Plan:

1. Go to Administration
2. Go to System Preferences
3. Find 'delimiter' (note the name)
4. Apply patch
5. Repeat step 1 and 2
6. Find 'CSVDelimiter' (note the name)

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-01-28 22:14:37 UTC
Created attachment 115997 [details] [review]
Bug 27486: (QA follow-up) Fix occurence in aqplan.pl

There was another mention of the old system preference name in the
budget planning code. This patch replaces it with the new name.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2021-01-29 07:12:26 UTC
Created attachment 116009 [details] [review]
Bug 27486: Replace one missing occurrence
Comment 9 Jonathan Druart 2021-01-29 08:00:06 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Jonathan Druart 2021-02-01 09:37:05 UTC
Created attachment 116140 [details] [review]
Bug 27486: Fix UsageStats.t
Comment 11 Jonathan Druart 2021-02-01 09:39:37 UTC
Follow-up pushed to master.
Comment 12 Fridolin Somers 2021-02-05 15:32:41 UTC
Enhancement not pushed to 20.11.x